
Redmine - Defect #2019

Issue list only shows a single issue (latest issue)

2008-10-10 21:40 - Dara Kong

Status: Closed Start date: 2008-10-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

When I view the Issues for a project, it only ever displays a single issue (the latest issue).  Each time I create a new issue and click

on the Issues tab for the project, it only shows a single issue despite clearing all the filters.  The lower left hand footer shows (1-1,1). 

However I know I have four tickets.  I confirmed this because I can view each ticket individually by clicking on the Activity page.  Also,

if I click on "View All Issues" from the global projects page, I see all four issues.

I installed redmine r1928 on a windows xp sp2 machine.  Software versions used:

ruby 1.8.6 (2008-08-11 patchlevel 287) [i386-mswin32]

Rails 2.1.1

sqlite-3_6_3

sqlitedll-3_6_3

sqlite3-ruby 1.2.3

I followed the steps on the RedmineInstall page.

1. changed config/database.yml to use sqlite3

2. ran rake db:migrate RAILS_ENV="production"

3. ran rake redmine:load_default_data RAILS_ENV="production"

4. started server with ruby script/server -e production

5. logged in with admin/admin

6. created a new project

7. created a new issue using defaults

8. created another new issue using defaults

Results:

Only a singe issue (issue two) was visible when clicking on the issues page

Expected Results:

A table with two issues should be listed when clicking on the issues page

History

#1 - 2008-10-14 03:59 - Ewan Makepeace

What does it say at the foot of the page - ie: (1-8/8) | Per page: 100, 200, 400

It should tell you the total issue population for the current view there (1-1/5) or (1-1/1)

If it says that there are more issues and it is only displaying 1 then you have messed up your issues per page setting (Administration/Settings).

If it says there is only one issue to display then there is something else amiss.

#2 - 2008-10-14 22:55 - Dara Kong

http://localhost:3000/issues displays 2 issues and the following footer:

(1-2/2) | Per page: 25, 50, 100

However, http://localhost:3000/projects/alpha/issues displays 1 issue and the following footer:

(1-1/1) | Per page: 25, 50, 100

I only have a single project (named alpha) set up.  So it seems the bug occurs is related somehow to viewing all issues for a specified project.

#3 - 2008-10-24 17:40 - Jean-Philippe Lang
https://www.redmine.org/projects/redmine/repository/svn/revisions/1928
http://localhost:3000/issues
http://localhost:3000/projects/alpha/issues


Could you please post the 2 screenshots. Thx.

#4 - 2008-10-24 18:42 - Dara Kong

- Status changed from New to Resolved

I actually no longer have the installation available.  I did a fresh install on an Ubuntu computer instead and it works fine now.  Thanks anyway.

#5 - 2008-10-24 19:06 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Affected version (unused) deleted (devel)

- Resolution set to Invalid

OK. I close this issue since I'm not able to reproduce.

Reopen if needed. Thanks.

#6 - 2011-01-25 17:58 - Emmanuel Pirsch

- Status changed from Closed to Reopened

I'm experiencing the same issue.

Environment:

redmine 1.0.5

jruby-1.5.3

rails 2.3.5

activerecord-jdbc-adapter 1.1.1

activerecord-jdbcsqlite3-adapter 1.1.1

jdbc-sqlite3 3.6.14.2.056

There are two weird things. First, I have a project structure with one parent project and many subprojects. In the subprojects, I see only one issue at a

time. But in the parent project, I see all issues of the subprojetcs. This is our current workaround to see all of our issues. If I move one of these

subproject as a top level project, I still have the issue for this project. In the parent project, I see also all issues in the project in addition of all issues in

the subprojects.

The second weird thing, is that if I add some logging information before and after the query being made, I see that the query returns one element. But

if I copy the exact same query in sqlitebrowser, it gives me all the records, not just one. So the query seems to be ok.

This may be an activerecord thing or something to do with the sqlite driver.

On a side note, if I refresh the query page (in the browser), I don't see a new request being made (in development mode). I also trie to clear caches

(rake tmp:cache:clear, tmp:sessions:clear). Is there some other king of cache for queries?

#7 - 2011-01-25 20:43 - Emmanuel Pirsch

After investigating this some more, the issue is related to the version of the sqlite3 binary included in jdbc-sqlite3. With a later version, all is well.

Will open an issue for active-record-jdbc to have the gem updated.

This issue can be closed.

#8 - 2011-11-27 23:57 - Mischa The Evil

- Status changed from Reopened to Closed
